--- title: "Update Row" url: https://docs.catalyst.zoho.com/en/api/code-reference/cloud-scale/data-store/update-row/ description: "This API enables you to update a particular row in a table in the Data Store." last_updated: 2026-08-17T12:16:04Z service: Cloud Scale type: api --- # Update a Row in a Table ### Description This API enables you to update a particular row in a table in the [Catalyst Data Store](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/introduction), by referring to its table ID or the table name. You must send the data to be updated in the record in the request JSON as described below. ### Request Details #### Request URL `PUT` {api-domain}/baas/v1/project/{project_id}/table/{tableIdentifier}/row - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **tableIdentifier** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/cloud-scale/help/data-store/tables/#create-a-new-table) of the table or table name #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Content-Type:** application/json **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.tables.rows.UPDATE > **Note:** This operation can also be executed with Catalyst user authentication permissions using Catalyst SDKs. Refer to the [Catalyst API Prerequisites section](https://docs.catalyst.zoho.com/en/api/introduction/overview-and-prerequisites/#prerequisites) for details. #### Request JSON Format You must send the names of the columns and their corresponding values to be updated in the request, along with the ROWID of the record, as a **JSON Array** like this: ```json { "column1_name": "column1_value", "column2_name": "column2_value", "column3_name": "column3_value", . . "*ROWID*":{row_id of the record} } ``` #### Request JSON Properties - **column_name** (string, mandatory): Specifies the column name of the specified table - **column_value** (string, mandatory): Specifies the value for the column - **ROWID** (bigint, mandatory): The ROWID of the record to be updated ### Response Details The response will contain the metadata of the row that was updated such as its `ROWID` and `CREATEDTIME`, and the updated column key names and values. **Sample Request** ```bash curl -X PUT \ https://api.catalyst.zoho.com/baas/v1/project/4000000006007/table/EmpDetails/row \ -H "Authorization: Zoho-oauthtoken 1000.910*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*16.2f*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*57" \ -H "Content-Type:application/json" \ -d '[ { "Department_Name":"Finance", "Employee_Name":"Morgan Jones", "ROWID":3376000000170191 } ]' ``` **Sample Response** ```json { "status": "success", "data": [ { "CREATORID": 3376000000002099, "MODIFIEDTIME": "2019-02-26 11:18:49", "Department_ID":"IT245", "Department_Name":"Finance", "Employee_Name": "Morgan Jones", "CREATEDTIME": "2019-02-26 11:18:49", "ROWID": 3376000000170191 } ] } ``` ### SDK Documentation [Update Rows- Java SDK](https://docs.catalyst.zoho.com/en/sdk/java/v1/cloud-scale/data-store/update-rows) [Update Rows- Node.js SDK](https://docs.catalyst.zoho.com/en/sdk/nodejs/v2/cloud-scale/data-store/update-rows) [Update Rows- Python SDK](https://docs.catalyst.zoho.com/en/sdk/python/v1/cloud-scale/data-store/update-rows) [Update Rows- Web SDK](https://docs.catalyst.zoho.com/en/sdk/web/v4/cloud-scale/data-store/update-rows)